<?php

$taxonomy = get_taxonomy( get_queried_object()->taxonomy );
$taxonomy_id = get_queried_object()->term_id;

$args = array(
	'post_type' => 'resume',
	'tax_query' => array(
		array(
			'taxonomy' => 'resume_skill',
			'field' => 'id',
			'terms' => $taxonomy_id
		)
	)
);
$query = new WP_Query( $args );

get_header(); ?>

<section id="title">
	<div class="container">
		<h1><?php if( $taxonomy ) : echo esc_attr( $taxonomy->labels->singular_name ); echo ":"; endif; ?> <?php single_term_title(); ?></h1>
	</div>
</section>

<section id="content">
	<div class="container">

		<?php if ( $query->have_posts() ) : ?>
		<div class="resume_listings">
			<ul class="resumes">
				<?php while ( $query->have_posts() ) : $query->the_post(); ?>
					<?php get_job_manager_template_part( 'content', 'resume', 'resume_manager', RESUME_MANAGER_PLUGIN_DIR . '/templates/' ); ?>
				<?php endwhile; ?>
			</ul>
		</div>
		<?php else : ?>
			<?php get_template_part( 'content', 'none' ); ?>
		<?php endif; ?>

	</div>
</section>

<?php get_footer(); ?>